package com.beanpodtech.allinone.bean;

import java.util.List;

public class RecommendVideoBean extends BaseRequestBean {


    private List<ListBean> list;
    private int totalPages;

    public int getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(int totalPages) {
        this.totalPages = totalPages;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * videoPath : http://hongwen.1klock.com/Uploads/test.mp4
         * isPaid : true
         * startTimeStamp : 1589817600
         * endTimeStamp : 1590076800
         * subjectName : 语文
         * classType : 高一
         * coursesName : 测试课程1
         * videoDuration : 00:06
         */

        private String videoPath;
        private boolean isPaid;
        private String startTimeStamp;
        private String endTimeStamp;
        private String subjectName;
        private String classType;
        private String coursesName;
        private String videoDuration;
        private String videoId;
        private String coverUrl;
        private String courseId;

        public boolean isPaid() {
            return isPaid;
        }

        public void setPaid(boolean paid) {
            isPaid = paid;
        }

        public String getVideoId() {
            return videoId;
        }

        public void setVideoId(String videoId) {
            this.videoId = videoId;
        }

        public String getCoverUrl() {
            return coverUrl;
        }

        public void setCoverUrl(String coverUrl) {
            this.coverUrl = coverUrl;
        }

        public String getCourseId() {
            return courseId;
        }

        public void setCourseId(String courseId) {
            this.courseId = courseId;
        }

        public String getVideoPath() {
            return videoPath;
        }

        public void setVideoPath(String videoPath) {
            this.videoPath = videoPath;
        }


        public String getStartTimeStamp() {
            return startTimeStamp;
        }

        public void setStartTimeStamp(String startTimeStamp) {
            this.startTimeStamp = startTimeStamp;
        }

        public String getEndTimeStamp() {
            return endTimeStamp;
        }

        public void setEndTimeStamp(String endTimeStamp) {
            this.endTimeStamp = endTimeStamp;
        }

        public String getSubjectName() {
            return subjectName;
        }

        public void setSubjectName(String subjectName) {
            this.subjectName = subjectName;
        }

        public String getClassType() {
            return classType;
        }

        public void setClassType(String classType) {
            this.classType = classType;
        }

        public String getCoursesName() {
            return coursesName;
        }

        public void setCoursesName(String coursesName) {
            this.coursesName = coursesName;
        }

        public String getVideoDuration() {
            return videoDuration;
        }

        public void setVideoDuration(String videoDuration) {
            this.videoDuration = videoDuration;
        }
    }
}
